const messages_en = {

    validations: {
        messages: {
            _default: 'Please fill in required field'
        },

        custom: {
            username: {
                required: "Please fill in your username"
            },
            password: {
                required: "Password is required"
            },
            url: {
                required: "URL is required"
            },
            key: {
                required: "API key is required"
            },
            name: {
                required: "Name is required"
            },
            parameter: {
                required: "Required field"
            },
            password_check: {
                required: "Password is required",
                confirmed: "Passwords are not identical"
            },
            collector_node: {
                required: "Select Collector Node"
            },
            file: {
                required: "File required"
            }
        },
    },

    login: {
        title: "Please Login",
        username: "Username",
        password: "Password",
        submit: "Login",
        error: "Username or password is incorrect"
    },

    user_menu: {
        settings: "Settings",
        logout: "Logout",
        dark_theme: "Dark Theme"
    },

    main_menu: {
        enter: "Enter",
        assess: "Assess",
        analyze: "Analyze",
        publish: "Publish",
        config: "Configuration",
        dashboard: "Dashboard",
        my_assets: "My Assets"
    },

    nav_menu: {
        enter: "Create news item",
        newsitems: "News Items",
        products: "Products",
        publications: "Publications",
        recent: "Recent",
        popular: "Popular",
        favourites: "Favourites",
        configuration: "Configuration",
        collectors_nodes: "Collectors Nodes",
        presenters_nodes: "Presenters Nodes",
        publishers_nodes: "Publishers Nodes",
        bots_nodes: "Bots Nodes",
        osint_sources: "OSINT Sources",
        osint_source_groups: "OSINT Source Groups",
        publisher_presets: "Publisher Presets",
        bot_presets: "Bot Presets",
        collectors: "Collectors",
        report_items: "Report Items",
        attributes: "Attributes",
        report_types: "Report Types",
        product_types: "Product Types",
        roles: "Roles",
        acls: "ACL",
        users: "Users",
        organizations: "Organizations",
        word_lists: "Word Lists",
        asset_groups: "Asset Groups",
        notification_templates: "Notification Templates",
        remote_access: "Remote Access",
        remote_nodes: "Remote Nodes",
        local: "Local"
    },

    notification: {
        close: "Close"
    },

    enter: {
        create: "Create",
        validation_error: "Please fill in all required fields",
        error: "Could not create news item.",
        title: "Title",
        review: "Review",
        source: "Source",
        link: "Link",
        successful: "News item was successfully created"
    },

    card_item: {
        title: "Title",
        created: "Created",
        collected: "Collected",
        published: "Published",
        source: "Source",
        status: "Status",
        node: "Node",
        description: "Description",
        in_analyze: "In Analyze",
        url: "Url",
        name: "Name",
        username: "Username",
        aggregated_items: "Aggregated News Items",
    },

    organization: {
        add_new: "Add new organization",
        edit: "Edit organization",
        add: "Add",
        add_btn: "Add New",
        save: "Save",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not create this organization.",
        name: "Name",
        description: "Description",
        street: "Street",
        city: "City",
        zip: "ZIP",
        country: "Country",
        successful: "New organization was successfully added",
        successful_edit: "Organization was successfully updated",
        removed: "Organization was successfully removed",
        removed_error: "Organization is in use and could not be deleted",
        total_count: "Organizations count: "
    },

    user: {
        add_new: "Add new user",
        edit: "Edit user",
        add: "Add",
        add_btn: "Add New",
        save: "Save",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not create this user.",
        username: "Username",
        name: "Name",
        successful: "New user was successfully added",
        successful_edit: "User was successfully updated",
        removed: "User was successfully removed",
        removed_error: "User is in use and could not be deleted",
        organizations: "Organizations",
        roles: "Roles",
        permissions: "Permissions",
        total_count: "Users count: ",
        password: "Password",
        password_check: "Retype Password"
    },

    collectors_node: {
        add_new: "Add new collectors node",
        edit: "Edit collectors node",
        save: "Save",
        add_btn: "Add New",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not connect to collectors node",
        name: "Name",
        description: "Description",
        url: "URL",
        key: "Key",
        successful: "New collectors node was successfully added",
        successful_edit: "Collectors node was successfully updated",
        removed: "Collectors node was successfully removed",
        removed_error: "Collectors node is in use and could not be deleted",
        total_count: "Collectors nodes count: "
    },

    osint_source: {
        add_new: "Add new OSINT source",
        edit: "Edit OSINT source",
        node: "Collectors Node",
        collector: "Collector",
        save: "Save",
        add_btn: "Add New",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not save this OSINT source",
        name: "Name",
        description: "Description",
        successful: "New OSINT source was successfully added",
        successful_edit: "OSINT source was successfully updated",
        removed: "OSINT source was successfully removed",
        removed_error: "OSINT source is in use and could not be deleted",
        word_lists: "Word Lists",
        type: "Type",
        total_count: "OSINT Sources count: ",
        osint_source_groups: "OSINT Source Groups",
        tooltip: {
            group_items: 'Group news items into aggregate',
            ungroup_items: 'Ungroup news items from aggregate',
            analyze_items: 'Create analysis report from news items',
            read_items: 'Mark news items as read',
            important_items: 'Mark news items as important',
            like_items: 'Like news items',
            dislike_items: 'Dislike news items',
            delete_items: 'Delete news items',
            select_all: "Select All",
            unselect_all: "Unselect All"
        },
        notification: {
            success: "Collectors successfully added"
        },
        dialog_import: "Import OSINT Sources",
        import: "Import",
        export: "Export"
    },

    osint_source_group: {
        add_new: "Add new OSINT source group",
        edit: "Edit OSINT source group",
        add: "Add New",
        cancel: "Cancel",
        save: "Save",
        validation_error: "Please fill in all required fields",
        error: "Could not save this OSINT source group",
        name: "Name",
        description: "Description",
        successful: "New OSINT source group was successfully added",
        successful_edit: "OSINT source group was successfully updated",
        removed: "OSINT source group was successfully removed",
        removed_error: "OSINT source group is in use and could not be deleted",
        title: "Title",
        osint_sources: "OSINT Sources",
        total_count: "OSINT source groups count: ",
        default_group: "Uncategorized",
        default_group_description: "Default group for uncategorized OSINT sources"
    },

    role: {
        add_new: "Add new role",
        edit: "Edit role",
        add: "Add",
        add_btn: "Add New",
        cancel: "Cancel",
        save: "Save",
        validation_error: "Please fill in all required fields",
        error: "Could not save this role.",
        name: "Name",
        description: "Description",
        successful: "New role was successfully added",
        successful_edit: "Role was successfully updated",
        removed: "Role was successfully removed",
        removed_error: "Role is in use and could not be deleted",
        title: "Title",
        permissions: "Permissions",
        total_count: "Roles count: "
    },

    acl: {
        full_title: "Access Control Lists",
        add_new: "Add new ACL",
        edit: "Edit ACL",
        add: "Add",
        add_btn: "Add New",
        cancel: "Cancel",
        save: "Save",
        validation_error: "Please fill in all required fields",
        error: "Could not save this ACL.",
        name: "Name",
        description: "Description",
        item_type: "Item Type",
        item_id: "Item ID",
        everyone: "Everyone",
        see: "See",
        access: "Access",
        modify: "Modify",
        successful: "New ACL was successfully added",
        successful_edit: "ACL was successfully updated",
        removed: "ACL was successfully removed",
        removed_error: "ACL is in use and could not be deleted",
        roles: "Roles",
        users: "Users",
        total_count: "ACL count: "
    },

    publisher_preset: {
        add_new: "Add new publisher preset",
        edit: "Edit publisher preset",
        node: "Publishers Node",
        publisher: "Publisher",
        add: "Add",
        save: "Save",
        add_btn: "Add New",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not create this preset.",
        name: "Name",
        description: "Description",
        use_for_notifications: "Use for all global notifications",
        successful: "New publisher preset was successfully added",
        successful_edit: "Publisher preset was successfully updated",
        removed: "Publisher preset was successfully removed",
        removed_error: "Publisher preset is in use and could not be deleted",
        total_count: "Publisher presets count: "
    },

    product_type: {
        add_new: "Add new product type",
        edit: "Edit new product type",
        node: "Presenters Node",
        presenter: "Presenter",
        add: "Add",
        save: "Save",
        add_btn: "Add New",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not create this product type.",
        name: "Name",
        description: "Description",
        successful: "New product type was successfully added",
        successful_edit: "Product type was successfully updated",
        removed: "Product type was successfully removed",
        removed_error: "Product type is in use and could not be deleted",
        total_count: "Product types count: ",
        help: "Template parameters description",
        close: "Close",
        choose_report_type: "Choose report type to show its parameters description",
        report_items: "Report Items",
        report_items_object: {
            name: "Name",
            name_prefix: "Name Prefix",
            type: "Report Item Type"
        },
        news_items: "News Items",
        news_items_object: {
            title: "Title",
            review: "Review",
            content: "Content",
            author: "Author",
            source: "Source",
            link: "Link",
            collected: "Collected Date",
            published: "Published Date"
        }
    },

    presenters_node: {
        add_new: "Add new presenters node",
        edit: "Edit new presenters node",
        add: "Add",
        save: "Save",
        add_btn: "Add New",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not connect to presenters node.",
        name: "Name",
        description: "Description",
        url: "URL",
        key: "Key",
        successful: "New presenters node was successfully added",
        successful_edit: "Presenters node was successfully updated",
        removed: "Presenters node was successfully removed",
        removed_error: "Presenters node is in use and could not be deleted",
        total_count: "Presenters nodes count: "
    },

    publishers_node: {
        add_new: "Add new publishers node",
        edit: "Add new publishers node",
        add: "Add",
        save: "Save",
        add_btn: "Add New",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not connect to publishers node.",
        name: "Name",
        description: "Description",
        url: "URL",
        key: "Key",
        successful: "New publishers node was successfully added",
        successful_edit: "Publishers node was successfully updated",
        removed: "Publishers node was successfully removed",
        removed_error: "Publishers node is in use and could not be deleted",
        total_count: "Publishers nodes count: "
    },

    bots_node: {
        add_new: "Add new bots node",
        edit: "Add new bots node",
        add: "Add",
        save: "Save",
        add_btn: "Add New",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not connect to bots node.",
        name: "Name",
        description: "Description",
        url: "URL",
        key: "Key",
        successful: "New bots node was successfully added",
        successful_edit: "Bots node was successfully updated",
        removed: "Bots node was successfully removed",
        removed_error: "Bots node is in use and could not be deleted",
        total_count: "Bots nodes count: "
    },

    bot_preset: {
        add_new: "Add new bot preset",
        edit: "Edit bot preset",
        node: "Bots Node",
        bot: "Bot",
        add: "Add",
        save: "Save",
        add_btn: "Add New",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not create this bot.",
        name: "Name",
        description: "Description",
        successful: "New bot preset was successfully added",
        successful_edit: "Bot preset was successfully updated",
        removed: "Bot preset was successfully removed",
        removed_error: "Bot preset is in use and could not be deleted",
        total_count: "Bot presets count: "
    },

    attribute: {
        add: "Add",
        add_btn: "Add New",
        add_new: "Add new attribute",
        edit: "Edit attribute",
        add_attachment: "Add attachment",
        add_value: "Add value",
        select_attachment: "Select attachment",
        select_file: "Select file",
        save: "Save",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not create this attribute",
        name: "Name",
        description: "Description",
        type: "Type",
        validator: "Validator",
        validator_parameter: "Validator Parameter",
        default_value: "Default Value",
        successful: "New attribute was successfully added",
        successful_edit: "Attribute was successfully updated",
        removed: "Attribute was successfully removed",
        removed_error: "Attribute is in use and could not be deleted",
        value: "Value",
        value_text: "Value text",
        tlp_white: "TLP:WHITE",
        tlp_green: "TLP:GREEN",
        tlp_amber: "TLP:AMBER",
        tlp_red: "TLP:RED",
        attribute_parameters: "Attribute Parameters",
        attribute_constants: "Attribute Constants",
        import_from_csv: "Import from CSV",
        new_constant: "New Constant",
        attribute: "attribute",
        attributes: "Attributes",
        new_attribute: "New Attribute",
        min_occurrence: "Min Occurrence",
        max_occurrence: "Max Occurrence",
        total_count: "Attributes count: ",
        import: "Import",
        load_csv_file: "Load CSV File",
        file_has_header: "File has header",
        search: "Search",
        reload_cpe: "Reload CPE Dictionary",
        reload_cve: "Reload CVE Dictionary",
        delete_existing: "Delete all existing values",
        select_enum: "Select Constant Value",
        reloading: "Reloading dictionary...",
        status: "Status",
        select_date: "Select Date",
        select_time: "Select Time",
        select_datetime: "Select Datetime",
        done: "Done"
    },

    cvss_calculator: {
        title: "CVSS Calculator 3.1",
        base_score: "Base Score",
            attack_vector: "Attack Vector (AV)",
            attack_complexity: "Attack Complexity (AC)",
            privileges_required: "Privileges Required (PR)",
            user_interaction: "User Interaction (UI)",
            scope: "Scope (S)",
            confidentiality: "Confidentiality (C)",
            integrity: "Integrity (I)",
            availability: "Availability (A)",

        temporal_score: "Temporal Score",
            exploitability_code_maturity: "Exploitability Code Maturity (E)",
            remediation_level: "Remediation Level (RL)",
            report_confidence: "Report Confidence (RC)",

        environmental_score: "Environmental Score",
            confidentiality_requirement: "Confidentiality Requirement (CR)",
            integrity_requirement: "Integrity Requirement (IR)",
            availability_requirement: "Availability Requirement (AR)",
            modified_attack_vector: "Modified Attack Vector (MAV)",
            modified_attack_complexity: "Modified Attack Complexity (MAC)",
            modified_privileges_required: "Modified Privileges Required (MPR)",
            modified_user_interaction: "Modified User Interaction (MUI)",
            modified_scope: "Modified Scope (MS)",
            modified_confidentiality: "Modified Confidentiality (MC)",
            modified_integrity: "Modified Integrity (MI)",
            modified_availability: "Modified Availability (MA)",

        network: "Network",
        adjacent: "Adjacent",
        adjacent_network: "Adjacent Network",
        local: "Local",
        physical: "Physical",
        required: "Required",
        unchanged: "Unchanged",
        changed: "Changed",

        not_defined: "Not Defined",
        none: "None",
        low: "Low",
        medium: "Medium",
        high: "High",
        critical: "Critical",

        unproven: "Unproven",
        proof_of_concept: "Proof-of-Concept",
        functional: "Functional",

        official_fix: "Official Fix",
        temporary_fix: "Temporary Fix",
        workaround: "Workaround",
        unavailable: "Unavailable",

        unknown: "Unknown",
        reasonable: "Reasonable",
        confirmed: "Confirmed",

        validator: "Invalid or Incomplete Vector String"

    },

    cvss_calculator_tooltip: {
        baseMetricGroup_Legend: "The Base Metric group represents the intrinsic  characteristics of a vulnerability that are constant over time and across user environments. Determine the vulnerable component and score Attack Vector, Attack Complexity, Privileges Required and User Interaction relative to this.",
        AV_Heading: "This metric reflects the context by which vulnerability exploitation is possible. The Base Score increases the more remote (logically, and physically) an attacker can be in order to exploit the vulnerable component.",
        AV_N_Label: "The vulnerable component is bound to the network stack and the set of possible attackers extends beyond the other options listed, up to and including the entire Internet. Such a vulnerability is often termed 'remotely exploitable' and can be thought of as an attack being exploitable at the protocol level one or more network hops away (e.g., across one or more routers).",
        AV_A_Label: "The vulnerable component is bound to the network stack, but the attack is limited at the protocol level to a logically adjacent topology. This can mean an attack must be launched from the same shared physical (e.g., Bluetooth or IEEE 802.11) or logical (e.g., local IP subnet) network, or from within a secure or otherwise limited administrative domain (e.g., MPLS, secure VPN to an administrative network zone).",
        AV_L_Label: "The vulnerable component is not bound to the network stack and the attacker’s path is via read/write/execute capabilities. Either: the attacker exploits the vulnerability by accessing the target system locally (e.g., keyboard, console), or remotely (e.g., SSH); or the attacker relies on User Interaction by another person to perform actions required to exploit the vulnerability (e.g., tricking a legitimate user into opening a malicious document).",
        AV_P_Label: "The attack requires the attacker to physically touch or manipulate the vulnerable component. Physical interaction may be brief or persistent.",
        AC_Heading: "This metric describes the conditions beyond the attacker’s control that must exist in order to exploit the vulnerability. Such conditions may require the collection of more information about the target or computational exceptions. The assessment of this metric excludes any requirements for user interaction in order to exploit the vulnerability. If a specific configuration is required for an attack to succeed, the Base metrics should be scored assuming the vulnerable component is in that configuration.",
        AC_L_Label: "Specialized access conditions or extenuating circumstances do not exist. An attacker can expect repeatable success against the vulnerable component.",
        AC_H_Label: "A successful attack depends on conditions beyond the attacker's control. That is, a successful attack cannot be accomplished at will, but requires the attacker to invest in some measurable amount of effort in preparation or execution against the vulnerable component before a successful attack can be expected. For example, a successful attack may require an attacker to: gather knowledge about the environment in which the vulnerable target/component exists; prepare the target environment to improve exploit reliability; or inject themselves into the logical network path between the target and the resource requested by the victim in order to read and/or modify network communications (e.g., a man in the middle attack).",
        PR_Heading: "This metric describes the level of privileges an attacker must possess before successfully exploiting the vulnerability.",
        PR_N_Label: "The attacker is unauthorized prior to attack, and therefore does not require any access to settings or files to carry out an attack.",
        PR_L_Label: "The attacker is authorized with (i.e., requires) privileges that provide basic user capabilities that could normally affect only settings and files owned by a user. Alternatively, an attacker with Low privileges may have the ability to cause an impact only to non-sensitive resources.",
        PR_H_Label: "The attacker is authorized with (i.e., requires) privileges that provide significant (e.g., administrative) control over the vulnerable component that could affect component-wide settings and files.",
        UI_Heading: "This metric captures the requirement for a user, other than the attacker, to participate in the successful compromise the vulnerable component. This metric determines whether the vulnerability can be exploited solely at the will of the attacker, or whether a separate user (or user-initiated process) must participate in some manner.",
        UI_N_Label: "The vulnerable system can be exploited without any interaction from any user.",
        UI_R_Label: "Successful exploitation of this vulnerability requires a user to take some action before the vulnerability can be exploited.",
        S_Heading: "Does a successful attack impact a component other than the vulnerable component? If so, the Base Score increases and the Confidentiality, Integrity and Authentication metrics should be scored relative to the impacted component.",
        S_U_Label: "An exploited vulnerability can only affect resources managed by the same security authority. In this case, the vulnerable component and the impacted component are either the same, or both are managed by the same security authority.",
        S_C_Label: "An exploited vulnerability can affect resources beyond the security scope managed by the security authority of the vulnerable component. In this case, the vulnerable component and the impacted component are different and managed by different security authorities.",
        C_Heading: "This metric measures the impact to the confidentiality of the information resources managed by a software component due to a successfully exploited vulnerability. Confidentiality refers to limiting information access and disclosure to only authorized users, as well as preventing access by, or disclosure to, unauthorized ones.",
        C_N_Label: "There is no loss of confidentiality within the impacted component.",
        C_L_Label: "There is some loss of confidentiality. Access to some restricted information is obtained, but the attacker does not have control over what information is obtained, or the amount or kind of loss is limited. The information disclosure does not cause a direct, serious loss to the impacted component.",
        C_H_Label: "There is total loss of confidentiality, resulting in all resources within the impacted component being divulged to the attacker. Alternatively, access to only some restricted information is obtained, but the disclosed information presents a direct, serious impact.",
        I_Heading: "This metric measures the impact to integrity of a successfully exploited vulnerability. Integrity refers to the trustworthiness and veracity of information.",
        I_N_Label: "There is no loss of integrity within the impacted component.",
        I_L_Label: "Modification of data is possible, but the attacker does not have control over the consequence of a modification, or the amount of modification is limited. The data modification does not have a direct, serious impact on the impacted component.",
        I_H_Label: "There is a total loss of integrity, or a complete loss of protection. For example, the attacker is able to modify any/all files protected by the impacted component. Alternatively, only some files can be modified, but malicious modification would present a direct, serious consequence to the impacted component.",
        A_Heading: "This metric measures the impact to the availability of the impacted component resulting from a successfully exploited vulnerability. It refers to the loss of availability of the impacted component itself, such as a networked service (e.g., web, database, email). Since availability refers to the accessibility of information resources, attacks that consume network bandwidth, processor cycles, or disk space all impact the availability of an impacted component.",
        A_N_Label: "There is no impact to availability within the impacted component.",
        A_L_Label: "Performance is reduced or there are interruptions in resource availability. Even if repeated exploitation of the vulnerability is possible, the attacker does not have the ability to completely deny service to legitimate users. The resources in the impacted component are either partially available all of the time, or fully available only some of the time, but overall there is no direct, serious consequence to the impacted component.",
        A_H_Label: "There is total loss of availability, resulting in the attacker being able to fully deny access to resources in the impacted component; this loss is either sustained (while the attacker continues to deliver the attack) or persistent (the condition persists even after the attack has completed). Alternatively, the attacker has the ability to deny some availability, but the loss of availability presents a direct, serious consequence to the impacted component (e.g., the attacker cannot disrupt existing connections, but can prevent new connections; the attacker can repeatedly exploit a vulnerability that, in each instance of a successful attack, leaks a only small amount of memory, but after repeated exploitation causes a service to become completely unavailable).",
        temporalMetricGroup_Legend: "The Temporal metrics measure the current state of exploit techniques or code availability, the existence of any patches or workarounds, or the confidence that one has in the description of a vulnerability.",
        E_Heading: "This metric measures the likelihood of the vulnerability being attacked, and is typically based on the current state of exploit techniques, exploit code availability, or active, 'in-the-wild' exploitation.",
        E_X_Label: "Assigning this value indicates there is insufficient information to choose one of the other values, and has no impact on the overall Temporal Score, i.e., it has the same effect on scoring as assigning High.",
        E_U_Label: "No exploit code is available, or an exploit is theoretical.",
        E_P_Label: "Proof-of-concept exploit code is available, or an attack demonstration is not practical for most systems. The code or technique is not functional in all situations and may require substantial modification by a skilled attacker.",
        E_F_Label: "Functional exploit code is available. The code works in most situations where the vulnerability exists.",
        E_H_Label: "Functional autonomous code exists, or no exploit is required (manual trigger) and details are widely available. Exploit code works in every situation, or is actively being delivered via an autonomous agent (such as a worm or virus). Network-connected systems are likely to encounter scanning or exploitation attempts. Exploit development has reached the level of reliable, widely-available, easy-to-use automated tools.",
        RL_Heading: "The Remediation Level of a vulnerability is an important factor for prioritization. The typical vulnerability is unpatched when initially published. Workarounds or hotfixes may offer interim remediation until an official patch or upgrade is issued. Each of these respective stages adjusts the temporal score downwards, reflecting the decreasing urgency as remediation becomes final.",
        RL_X_Label: "Assigning this value indicates there is insufficient information to choose one of the other values, and has no impact on the overall Temporal Score, i.e., it has the same effect on scoring as assigning Unavailable.",
        RL_O_Label: "A complete vendor solution is available. Either the vendor has issued an official patch, or an upgrade is available.",
        RL_T_Label: "There is an official but temporary fix available. This includes instances where the vendor issues a temporary hotfix, tool, or workaround.",
        RL_W_Label: "There is an unofficial, non-vendor solution available. In some cases, users of the affected technology will create a patch of their own or provide steps to work around or otherwise mitigate the vulnerability.",
        RL_U_Label: "There is either no solution available or it is impossible to apply.",
        RC_Heading: "This metric measures the degree of confidence in the existence of the vulnerability and the credibility of the known technical details. Sometimes only the existence of vulnerabilities are publicized, but without specific details. For example, an impact may be recognized as undesirable, but the root cause may not be known. The vulnerability may later be corroborated by research which suggests where the vulnerability may lie, though the research may not be certain. Finally, a vulnerability may be confirmed through acknowledgement by the author or vendor of the affected technology. The urgency of a vulnerability is higher when a vulnerability is known to exist with certainty. This metric also suggests the level of technical knowledge available to would-be attackers.",
        RC_X_Label: "Assigning this value indicates there is insufficient information to choose one of the other values, and has no impact on the overall Temporal Score, i.e., it has the same effect on scoring as assigning Confirmed.",
        RC_U_Label: "There are reports of impacts that indicate a vulnerability is present. The reports indicate that the cause of the vulnerability is unknown, or reports may differ on the cause or impacts of the vulnerability. Reporters are uncertain of the true nature of the vulnerability, and there is little confidence in the validity of the reports or whether a static Base score can be applied given the differences described. An example is a bug report which notes that an intermittent but non-reproducible crash occurs, with evidence of memory corruption suggesting that denial of service, or possible more serious impacts, may result.",
        RC_R_Label: "Significant details are published, but researchers either do not have full confidence in the root cause, or do not have access to source code to fully confirm all of the interactions that may lead to the result. Reasonable confidence exists, however, that the bug is reproducible and at least one impact is able to be verified (Proof-of-concept exploits may provide this). An example is a detailed write-up of research into a vulnerability with an explanation (possibly obfuscated or 'left as an exercise to the reader') that gives assurances on how to reproduce the results.",
        RC_C_Label: "Detailed reports exist, or functional reproduction is possible (functional exploits may provide this). Source code is available to independently verify the assertions of the research, or the author or vendor of the affected code has confirmed the presence of the vulnerability.",
        environmentalMetricGroup_Legend: "These metrics enable the analyst to customize the CVSS score depending on the importance of the affected IT asset to a user’s organization, measured in terms of complementary/alternative security controls in place, Confidentiality, Integrity, and Availability. The metrics are the modified equivalent of base metrics and are assigned metric values based on the component placement in organization infrastructure.",
        CR_Heading: "These metrics enable the analyst to customize the CVSS score depending on the importance of the Confidentiality of the affected IT asset to a user’s organization, relative to other impacts. This metric modifies the environmental score by reweighting the Modified Confidentiality impact metric versus the other modified impacts.",
        CR_X_Label: "Assigning this value indicates there is insufficient information to choose one of the other values, and has no impact on the overall Environmental Score, i.e., it has the same effect on scoring as assigning Medium.",
        CR_L_Label: "Loss of Confidentiality is likely to have only a limited adverse effect on the organization or individuals associated with the organization (e.g., employees, customers).",
        CR_M_Label: "Assigning this value to the metric will not influence the score.",
        CR_H_Label: "Loss of Confidentiality is likely to have a catastrophic adverse effect on the organization or individuals associated with the organization (e.g., employees, customers).",
        IR_Heading: "These metrics enable the analyst to customize the CVSS score depending on the importance of the Integrity of the affected IT asset to a user’s organization, relative to other impacts. This metric modifies the environmental score by reweighting the Modified Integrity impact metric versus the other modified impacts.",
        IR_X_Label: "Assigning this value indicates there is insufficient information to choose one of the other values, and has no impact on the overall Environmental Score, i.e., it has the same effect on scoring as assigning Medium.",
        IR_L_Label: "Loss of Integrity is likely to have only a limited adverse effect on the organization or individuals associated with the organization (e.g., employees, customers).",
        IR_M_Label: "Assigning this value to the metric will not influence the score.",
        IR_H_Label: "Loss of Integrity is likely to have a catastrophic adverse effect on the organization or individuals associated with the organization (e.g., employees, customers).",
        AR_Heading: "These metrics enable the analyst to customize the CVSS score depending on the importance of the Availability of the affected IT asset to a user’s organization, relative to other impacts. This metric modifies the environmental score by reweighting the Modified Availability impact metric versus the other modified impacts.",
        AR_X_Label: "Assigning this value indicates there is insufficient information to choose one of the other values, and has no impact on the overall Environmental Score, i.e., it has the same effect on scoring as assigning Medium.",
        AR_L_Label: "Loss of Availability is likely to have only a limited adverse effect on the organization or individuals associated with the organization (e.g., employees, customers).",
        AR_M_Label: "Assigning this value to the metric will not influence the score.",
        AR_H_Label: "Loss of Availability is likely to have a catastrophic adverse effect on the organization or individuals associated with the organization (e.g., employees, customers).",
        MAV_Heading: "This metric reflects the context by which vulnerability exploitation is possible. The Environmental Score increases the more remote (logically, and physically) an attacker can be in order to exploit the vulnerable component.",
        MAV_X_Label: "The value assigned to the corresponding Base metric is used.",
        MAV_N_Label: "The vulnerable component is bound to the network stack and the set of possible attackers extends beyond the other options listed, up to and including the entire Internet. Such a vulnerability is often termed 'remotely exploitable' and can be thought of as an attack being exploitable at the protocol level one or more network hops away.",
        MAV_A_Label: "The vulnerable component is bound to the network stack, but the attack is limited at the protocol level to a logically adjacent topology. This can mean an attack must be launched from the same shared physical (e.g., Bluetooth or IEEE 802.11) or logical (e.g., local IP subnet) network, or from within a secure or otherwise limited administrative domain (e.g., MPLS, secure VPN).",
        MAV_L_Label: "The vulnerable component is not bound to the network stack and the attacker’s path is via read/write/execute capabilities. Either: the attacker exploits the vulnerability by accessing the target system locally (e.g., keyboard, console), or remotely (e.g., SSH); or the attacker relies on User Interaction by another person to perform actions required to exploit the vulnerability (e.g., tricking a legitimate user into opening a malicious document).",
        MAV_P_Label: "The attack requires the attacker to physically touch or manipulate the vulnerable component. Physical interaction may be brief or persistent.",
        MAC_Heading: "This metric describes the conditions beyond the attacker’s control that must exist in order to exploit the vulnerability. Such conditions may require the collection of more information about the target or computational exceptions. The assessment of this metric excludes any requirements for user interaction in order to exploit the vulnerability. If a specific configuration is required for an attack to succeed, the Base metrics should be scored assuming the vulnerable component is in that configuration.",
        MAC_X_Label: "The value assigned to the corresponding Base metric is used.",
        MAC_L_Label: "Specialized access conditions or extenuating circumstances do not exist. An attacker can expect repeatable success against the vulnerable component.",
        MAC_H_Label: "A successful attack depends on conditions beyond the attacker's control. That is, a successful attack cannot be accomplished at will, but requires the attacker to invest in some measurable amount of effort in preparation or execution against the vulnerable component before a successful attack can be expected. For example, a successful attack may require an attacker to: gather knowledge about the environment in which the vulnerable target/component exists; prepare the target environment to improve exploit reliability; or inject themselves into the logical network path between the target and the resource requested by the victim in order to read and/or modify network communications (e.g., a man in the middle attack).",
        MPR_Heading: "This metric describes the level of privileges an attacker must possess before successfully exploiting the vulnerability.",
        MPR_X_Label: "The value assigned to the corresponding Base metric is used.",
        MPR_N_Label: "The attacker is unauthorized prior to attack, and therefore does not require any access to settings or files to carry out an attack.",
        MPR_L_Label: "The attacker is authorized with (i.e., requires) privileges that provide basic user capabilities that could normally affect only settings and files owned by a user. Alternatively, an attacker with Low privileges may have the ability to cause an impact only to non-sensitive resources.",
        MPR_H_Label: "The attacker is authorized with (i.e., requires) privileges that provide significant (e.g., administrative) control over the vulnerable component that could affect component-wide settings and files.",
        MUI_Heading: "This metric captures the requirement for a user, other than the attacker, to participate in the successful compromise the vulnerable component. This metric determines whether the vulnerability can be exploited solely at the will of the attacker, or whether a separate user (or user-initiated process) must participate in some manner.",
        MUI_X_Label: "The value assigned to the corresponding Base metric is used.",
        MUI_N_Label: "The vulnerable system can be exploited without any interaction from any user.",
        MUI_R_Label: "Successful exploitation of this vulnerability requires a user to take some action before the vulnerability can be exploited.",
        MS_Heading: "Does a successful attack impact a component other than the vulnerable component? If so, the Base Score increases and the Confidentiality, Integrity and Authentication metrics should be scored relative to the impacted component.",
        MS_X_Label: "The value assigned to the corresponding Base metric is used.",
        MS_U_Label: "An exploited vulnerability can only affect resources managed by the same security authority. In this case, the vulnerable component and the impacted component are either the same, or both are managed by the same security authority.",
        MS_C_Label: "An exploited vulnerability can affect resources beyond the security scope managed by the security authority of the vulnerable component. In this case, the vulnerable component and the impacted component are different and managed by different security authorities.",
        MC_Heading: "This metric measures the impact to the confidentiality of the information resources managed by a software component due to a successfully exploited vulnerability. Confidentiality refers to limiting information access and disclosure to only authorized users, as well as preventing access by, or disclosure to, unauthorized ones.",
        MC_X_Label: "The value assigned to the corresponding Base metric is used.",
        MC_N_Label: "There is no loss of confidentiality within the impacted component.",
        MC_L_Label: "There is some loss of confidentiality. Access to some restricted information is obtained, but the attacker does not have control over what information is obtained, or the amount or kind of loss is limited. The information disclosure does not cause a direct, serious loss to the impacted component.",
        MC_H_Label: "There is total loss of confidentiality, resulting in all resources within the impacted component being divulged to the attacker. Alternatively, access to only some restricted information is obtained, but the disclosed information presents a direct, serious impact.",
        MI_Heading: "This metric measures the impact to integrity of a successfully exploited vulnerability. Integrity refers to the trustworthiness and veracity of information.",
        MI_X_Label: "The value assigned to the corresponding Base metric is used.",
        MI_N_Label: "There is no loss of integrity within the impacted component.",
        MI_L_Label: "Modification of data is possible, but the attacker does not have control over the consequence of a modification, or the amount of modification is limited. The data modification does not have a direct, serious impact on the impacted component.",
        MI_H_Label: "There is a total loss of integrity, or a complete loss of protection. For example, the attacker is able to modify any/all files protected by the impacted component. Alternatively, only some files can be modified, but malicious modification would present a direct, serious consequence to the impacted component.",
        MA_Heading: "This metric measures the impact to the availability of the impacted component resulting from a successfully exploited vulnerability. It refers to the loss of availability of the impacted component itself, such as a networked service (e.g., web, database, email). Since availability refers to the accessibility of information resources, attacks that consume network bandwidth, processor cycles, or disk space all impact the availability of an impacted component.",
        MA_X_Label: "The value assigned to the corresponding Base metric is used.",
        MA_N_Label: "There is no impact to availability within the impacted component.",
        MA_L_Label: "Performance is reduced or there are interruptions in resource availability. Even if repeated exploitation of the vulnerability is possible, the attacker does not have the ability to completely deny service to legitimate users. The resources in the impacted component are either partially available all of the time, or fully available only some of the time, but overall there is no direct, serious consequence to the impacted component.",
        MA_H_Label: "There is total loss of availability, resulting in the attacker being able to fully deny access to resources in the impacted component; this loss is either sustained (while the attacker continues to deliver the attack) or persistent (the condition persists even after the attack has completed). Alternatively, the attacker has the ability to deny some availability, but the loss of availability presents a direct, serious consequence to the impacted component (e.g., the attacker cannot disrupt existing connections, but can prevent new connections; the attacker can repeatedly exploit a vulnerability that, in each instance of a successful attack, leaks a only small amount of memory, but after repeated exploitation causes a service to become completely unavailable)."
    },

    report_type: {
        add_new: "Add new report item type",
        edit: "Edit report item type",
        add_btn: "Add New",
        save: "Save",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not save this report item type",
        name: "Name",
        description: "Description",
        section_title: "Section",
        new_group: "New Attribute Group",
        successful: "New report item type was successfully added",
        successful_edit: "Report item type was successfully updated",
        removed_error: "Report item type is in use and could not be deleted",
        removed: "Report item type was successfully removed",
        total_count: "Report types count: "
    },

    report_item: {
        add_new: "New report item",
        edit: "Edit report item",
        save: "Save",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not create this report item",
        title: "Name",
        title_prefix: "Name prefix",
        report_type: "Report Item Type",
        successful: "New report item was successfully added",
        successful_edit: "Report item was successfully saved",
        removed: "Report item was successfully removed",
        removed_error: "Report item is in use and could not be deleted",
        select: "Select Report Items",
        select_remote: "Select Report Items from Remote Nodes",
        add: "Add",
        attributes: "Attributes",
        import_csv: "Import CSV",
        import_from_csv: "Import CVE/CPE from CSV",
        delete_existing_codes: "Delete existing CVE/CPE codes",
        tooltip: {
            sort_time: 'Sort values from newest',
            sort_user: 'Show my values first then others',
            cvss_detail: 'Show CVSS calculator definition',
            enum_selector: 'Show value search window',
            delete_value: 'Delete value from this attribute',
            add_value: 'Add new value to this attribute'
        }
    },

    product: {
        add_new: "New product",
        add_btn: "Add New",
        edit: "Edit product",
        save: "Save",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not create this product",
        title: "Title",
        name: "Name",
        description: "Description",
        report_type: "Product Type",
        successful: "New product was successfully added",
        successful_edit: "Product was successfully saved",
        removed: "Product was successfully removed",
        removed_error: "Product is in use and could not be deleted",
        preview: "Show product preview",
        publish: "Publish product",
        total_count: "Products count: "
    },

    analyze: {
        sort: "Sort by",
        from: "From",
        to: "To",
        add_new: "Add New",
        total_count: "Report items count: ",
        tooltip: {
            filter_completed: "Show/hide completed report items",
            filter_incomplete: "Show/hide incomplete report items",
            range: {
                ALL: 'Show all report items',
                TODAY: "Show today's report items",
                WEEK: 'Show report items for the last week',
                MONTH: 'Show report items for the last month'
            },
            sort: {
                time: {
                    ascending: 'Sort report items by creation date ascending',
                    descending: 'Sort report items by creation date descending'
                }
            },
            toggle_selection: 'Toggle report items selection mode',
            delete_items: 'Delete report items',
            publish_items: 'Create product from report items',
            delete_item: 'Delete report item',
            publish_item: 'Create product from report item',
        }
    },

    assess: {
        source: "Source",
        comments: "Comments",
        collected: "Collected",
        published: "Published",
        author: "Author",
        add_news_item: "Add News Items",
        select_news_item: "Select News Item",
        add: "Add",
        aggregate_detail: "Aggregate Detail",
        aggregate_info: "Info",
        aggregate_title: "Title",
        aggregate_description: "Description",
        attributes: "Attributes",
        title: "Title",
        description: "Description",
        download: "Download",
        total_count: "News items count: ",
        tooltip: {
            filter_read: "Show/hide unread news items",
            filter_important: "Show/hide important news items",
            filter_relevant: "Show/hide relevant news items",
            filter_in_analyze: "Show/hide news items in analysis",
            range: {
                ALL: 'Show all news items',
                TODAY: "Show today's news items",
                WEEK: 'Show news items for the last week',
                MONTH: 'Show news items for the last month'
            },
            sort: {
                time: {
                    ascending: 'Sort news items by collected date ascending',
                    descending: 'Sort news items by collected date descending'
                },
                relevance: {
                    ascending: 'Sort news items by relevance ascending',
                    descending: 'Sort news items by relevance descending'
                }
            },
            highlight_wordlist: 'Highlight words by word lists',
            toggle_selection: 'Toggle news items selection mode',
            group_items: 'Group news items into aggregate',
            ungroup_items: 'Ungroup news items from aggregate',
            analyze_items: 'Create analysis report from news items',
            read_items: 'Mark news items as read',
            important_items: 'Mark news items as important',
            like_items: 'Like news items',
            dislike_items: 'Dislike news items',
            delete_items: 'Delete news items',
            open_source: "Open news item's source in a new tab",
            ungroup_item: 'Ungroup news item from aggregate',
            analyze_item: 'Create analysis report from news item',
            read_item: 'Mark news item as read',
            important_item: 'Mark news item as important',
            like_item: 'Like news item',
            dislike_item: 'Dislike news item',
            delete_item: 'Delete news item',
        }
    },

    publish: {
        tooltip: {
            range: {
                ALL: 'Show all products',
                TODAY: "Show today's products",
                WEEK: 'Show products for the last week',
                MONTH: 'Show products for the last month'
            },
            sort: {
                time: {
                    ascending: 'Sort products by creation date ascending',
                    descending: 'Sort products by creation date descending'
                }
            },
            delete_item: 'Delete product',
        }
    },

    toolbar_filter: {
        search: "Search",
        all: "All",
        today: "Today",
        this_week: "This Week",
        this_month: "This Month",
        custom_filter: "Custom Filter"
    },

    settings: {
        user_settings: "User settings",
        tab_general: "General",
        tab_wordlists: "Word Lists",
        tab_hotkeys: "Hotkeys",
        save: "Save",
        close_item: "Close",
        collection_up: "Move Up",
        collection_down: "Move Down",
        show_item: "Show",
        read_item: "Mark as Read",
        important_item: "Mark as Important",
        like_item: "Mark as Like",
        unlike_item: "Mark as Unlike",
        delete_item: "Delete",
        spellcheck: "Spellcheck",
        dark_theme: "Dark Theme",
        press_key: "Press new key for ",
        cancel_press_key: "Cancel",
        selection: "Selection",
        group: "Group",
        ungroup: "Ungroup",
        new_product: "New Product",
        aggregate_open: "Open Aggregate"
    },

    word_list: {
        add_new: "Add new word list",
        edit: "Edit word list",
        add: "Add",
        add_btn: "Add New",
        save: "Save",
        cancel: "Cancel",
        validation_error: "Please fill in all required fields",
        error: "Could not save this word list",
        name: "Name",
        description: "Description",
        use_for_stop_words: "Use as stop word list",
        successful: "New word list was successfully added",
        successful_edit: "Word list was successfully updated",
        remove: "Word list was successfully removed",
        removed_error: "Word list is in use and could not be deleted",
        value: "Value",
        new_word: "New Word",
        words: "Words",
        new_category: "New Category",
        total_count: "Word lists count: ",
        file_has_header: "File has header",
        import_from_csv: "Import from CSV",
        load_csv_file: "Load CSV file",
        import: "Import",
        close: "Close"
    },

    asset_group: {
        add_new: "Add new asset group",
        edit: "Edit asset group",
        add: "Add New",
        cancel: "Cancel",
        save: "Save",
        validation_error: "Please fill in all required fields",
        error: "Could not save this asset group",
        name: "Name",
        description: "Description",
        notification_templates: "Notification Templates",
        allowed_users: "Allowed users (If none is selected than all users are allowed)",
        successful: "New asset group was successfully added",
        successful_edit: "Asset group was successfully updated",
        removed: "Asset group was successfully removed",
        removed_error: "Asset group is in use and could not be deleted",
        total_count: "Asset groups count: "
    },

    notification_template: {
        add_new: "Add new notification template",
        edit: "Edit notification template",
        add: "Add New",
        cancel: "Cancel",
        save: "Save",
        validation_error: "Please fill in all required fields",
        error: "Could not save this notification template",
        name: "Name",
        description: "Description",
        message_title: "Message Title",
        message_body: "Message Body",
        new_recipient: "New Recipient",
        email: "Email",
        recipients: "Recipients",
        successful: "New notification template was successfully added",
        successful_edit: "Notification template was successfully updated",
        removed: "Notification template was successfully removed",
        removed_error: "Notification template is in use and could not be deleted",
        total_count: "Notification templates count: "
    },

    asset: {
        add_new: "Add new asset",
        add_group_info: "Please add an asset group",
        edit: "Edit asset",
        add: "Add New",
        cancel: "Cancel",
        save: "Save",
        validation_error: "Please fill in all required fields",
        error: "Could not save this asset",
        name: "Name",
        serial: "Serial Number",
        description: "Description",
        cpe: "CPE Code",
        new_cpe: "Add CPE Code",
        cpes: "CPE Codes",
        value: "Value",
        successful: "New asset was successfully added",
        successful_edit: "Asset was successfully updated",
        removed: "Asset was successfully removed",
        removed_error: "Asset is in use and could not be deleted",
        total_count: "Assets count: ",
        vulnerabilities: "Vulnerabilities",
        vulnerabilities_count: "Vulnerabilities: ",
        no_vulnerabilities: "No vulnerabilities",
        import_csv: "Import CSV",
        import_from_csv: "Import CPE from CSV",
        file_has_header: "File has header",
        load_csv_file: "Load CSV file",
        import: "Import",
        close: "Close"
    },

    remote_access: {
        add_new: "Add new remote access",
        edit: "Edit remote access",
        add: "Add New",
        cancel: "Cancel",
        save: "Save",
        validation_error: "Please fill in all required fields",
        error: "Could not save this remote access",
        name: "Name",
        description: "Description",
        access_key: "Access Key",
        enabled: "Enabled",
        successful: "New remote access was successfully added",
        successful_edit: "Remote access was successfully updated",
        removed: "Remote access was successfully removed",
        removed_error: "Remote access is in use and could not be deleted",
        osint_sources: "OSINT Sources to share",
        report_item_types: "Report Item Types to share",
        total_count: "Remote access count: "
    },

    remote_node: {
        add_new: "Add new remote node",
        edit: "Edit remote node",
        add: "Add New",
        cancel: "Cancel",
        save: "Save",
        validation_error: "Please fill in all required fields",
        error: "Could not save this remote node",
        name: "Name",
        description: "Description",
        remote_url: "Remote node URL",
        event_url: "Remote event source URL",
        access_key: "Access Key",
        enabled: "Enabled",
        connect: "Connect to remote node",
        connect_error: "Connection to remote node failed. Incorrect access key provided or node is not running.",
        connect_info: "Successfully connected to the remote node.",
        sync_news_items: "Synchronize news items",
        sync_report_items: "Synchronize report items",
        osint_source_group: "Synchronize to OSINT source group",
        successful: "New remote node was successfully added",
        successful_edit: "Remote node was successfully updated",
        removed: "Remote node was successfully removed",
        removed_error: "Remote node is in use and could not be deleted",
        total_count: "Remote nodes count: "
    },

    drop_zone: {
        default_message: "Drag files here or click to select",
        file_description: "Description",
        last_updated: "Last updated",
        save: "Save",
        download: "Download",
        delete: "Delete",
        cancel: "Cancel",
        attachment_load: "Load Attachment",
        attachment_detail: "Attachment Detail"
    },

    error: {
        aggregate_in_use: "Some of selected aggregates or news items are already assigned to a report item",
        server_error: "Unknown server error..."
    }
};

export default messages_en